<?php declare(strict_types=1);
require __DIR__ . '/../init.php';

const MAX_TESTING_ACCOUNT_AGE = 86400 * 10;

foreach (query('select', 'users', ['type' => 'testing']) as $account) {
	$account_age = time() - date_create_immutable_from_format('Y-m-d H:i:s', $account['registration_date'])->getTimestamp();
	if ($account_age > MAX_TESTING_ACCOUNT_AGE)
		authDeleteUser($account['id']);
}
