<?php declare(strict_types=1); ?>
<p>
	<?= _('This will delete every resource managed by the current account, including registered domains, hosted DNS records, websites files and cryptographic keys for Onion services and DNSSEC.') ?>
</p>

<form method="post">
	<label for="current-password"><?= _('Current password') ?></label><br>
	<input required="" autocomplete="current-password" minlength="8" maxlength="1024" pattern="<?= PASSWORD_REGEX ?>" id="current-password" name="current-password" type="password" placeholder="<?= PLACEHOLDER_PASSWORD ?>"><br>

	<input type="checkbox" name="delete" id="delete" required="">
	<label for="delete"><?= _('Delete the current account and everything related (required)') ?></label><br>

	<input type="submit" value="<?= _('Delete') ?>">
</form>
