<?php declare(strict_types=1); ?>
<form method="post">
<?php require ROOT_PATH . '/pg-view/ns/form.ns.php'; ?>

	<label for="algo"><?= _('Algorithm') ?></label>
	<br>
	<select required="" name="algo" id="algo">
		<option value="1">1 (RSA)</option>
		<option value="2" disabled="">2 (DSA)</option>
		<option value="3">3 (ECDSA)</option>
		<option value="4" selected="">4 (ED25519)</option>
	</select>

	<br>

	<label for="type"><?= _('Hash type') ?></label>
	<br>
	<select required="" name="type" id="type">
		<option value="1" disabled="">1 (SHA-1)</option>
		<option value="2" selected="">2 (SHA-256)</option>
	</select>

	<br>

	<label for="fp"><?= _('Fingerprint') ?></label>
	<br>
	<input required="" id="fp" size="65" minlenght="64" maxlength="64" placeholder="26e6bbb4796c4fb78632e737d31a8acaba43c3a92d9c047031f04e9b70826e1d" name="fp" type="text">

	<br>
	<input type="submit" value="<?= _('Apply') ?>">
</form>
