<?php declare(strict_types=1); ?>
<p>
	<?= sprintf(_('To prove that you are allowed to receive the domain by its current owner, the domain must have an NS record equal to %s when the form is being processed. The NS record will be automatically deleted once validated.'), '<code>' . getAuthToken() . '._transfer-verification.' . SERVER_NAME . '.</code>') ?>
</p>

<form method="post">
	<fieldset>
		<legend><?= _('Domain that will be transferred to this account') ?></legend>
		<div>
			<label for="subdomain"><?= _('Subdomain') ?></label>
			<br>
			<input id="subdomain" pattern="<?= SUBDOMAIN_REGEX ?>" required="" placeholder="servnest" name="subdomain" type="text">
		</div>
		<div>
			<label for="suffix"><?= _('Suffix') ?></label>
			<br>
			<select required="" name="suffix" id="suffix">
<?php
foreach (CONF['reg']['suffixes'] as $suffix => $availability) {
	echo '				<option value="' . $suffix . '">.' . $suffix . '</option>' . LF;
}
?>
			</select>
		</div>
	</fieldset>

	<input type="submit" value="<?= _('Receive the domain') ?>">
</form>
