BEGIN TRANSACTION;

CREATE TABLE IF NOT EXISTS "ssh-keys" (
	"key"       TEXT    NOT NULL,
	"username"  TEXT    NOT NULL,
	"directory" TEXT    NOT NULL,
	UNIQUE("key", "username", "directory"),
	FOREIGN KEY("username") REFERENCES "users"("id")
);

COMMIT;
