<?php declare(strict_types=1);

$values = nsParseCommonRequirements();

if (!($_POST['priority'] >= 0 AND $_POST['priority'] <= 255))
	output(403, 'Wrong value for <code>priority</code>.');

$_POST['host'] = formatAbsoluteDomain($_POST['host']);

rateLimit();

knotcZoneExec($_POST['zone'], [
	$values['domain'],
	$values['ttl'],
	'MX',
	$_POST['priority'],
	$_POST['host']
]);

output(200, _('Modification done.'));
