<?php declare(strict_types=1); ?>
<p><?= _('New?') ?> <a href="register"><?= _('Create an account') ?></a></p>

<form method="post">
	<label for="username"><?= _('Username') ?></label><br>
	<input required="" autocomplete="username" minlength="1" maxlength="1024" pattern="<?= USERNAME_REGEX ?>" id="username" name="username" type="text" placeholder="<?= PLACEHOLDER_USERNAME ?>">
	<br>

	<label for="password"><?= _('Password') ?></label><br>
	<input required="" autocomplete="current-password" minlength="8" maxlength="1024" pattern="<?= PASSWORD_REGEX ?>" id="password" name="password" type="password" placeholder="<?= PLACEHOLDER_PASSWORD ?>">
	<br>

	<input type="submit" value="<?= _('Log in') ?>">
</form>
