<?php declare(strict_types=1); ?>
<p>
	<?= sprintf(_('The path can only contain %1$s, %2$s and %3$s, and must be between 4 and 63 characters.'), '<abbr title="abcdefghijklmnopqrstuvwxyz"><code>a</code>-<code>z</code></abbr>',  '<abbr title="0123456789"><code>0</code>-<code>9</code></abbr>', '<code>-</code>') ?>
</p>

<form method="post">
	<label for="path"><?= _('Path') ?></label><br>
	<code>https://<?= CONF['ht']['subpath_domain'] ?>/</code><input required="" pattern="<?= SUBPATH_REGEX ?>" placeholder="path" id="path" name="path" type="text"><br>
	<label for="dir"><?= _('Target directory') ?></label><br>
	<select required="" name="dir" id="dir">
		<option value="" disabled="" selected="">—</option>
<?php
foreach (dirsStatuses('subpath') as $dir => $alreadyEnabled)
	echo '		<option' . ($alreadyEnabled ? ' disabled=""' : '') . ' value="' . $dir . '">' . $dir . '</option>' . LF;
?>
	</select>
	<br>
	<input type="submit" value="<?= _('Setup access') ?>">
</form>
